%define name bzflag
%define version 1.7d.9
%define release 3mdk
%define summary A multiplayer 3D tank battle game

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/bzflag/%{name}-%{version}.src.tar.bz2
Source1: bzflag-better-textures.tar.bz2
Source2: %{name}.16.xpm.bz2
Source3: %{name}.32.xpm.bz2
Patch: bzflag-remove-static-installdatadir.patch.bz2
URL: http://BZFlag.SourceForge.net/
Copyright: GPL
Group: Games/Arcade
BuildRequires: Mesa-common-devel XFree86-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -n bzflag -q -a 1
%patch0 -p0

echo "INSTALL_DATA_DIR = "%{_gamesdatadir}/%{name} >> configs/config-linux

%build
make linux
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp bin/* $RPM_BUILD_ROOT%{_gamesbindir}
cp data/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="BZflag" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README LICENSE BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7d.9-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-1mdk
- first package for Linux-Mandrake

